### Virtual Method

# GimpUi Preview transform

#### Declaration [src]

    void
    transform (
      GimpPreview* preview,
      gint src_x,
      gint src_y,
      gint* dest_x,
      gint* dest_y
    )

#### Description [src]

Transforms from image to widget coordinates.

Available since: | 2.4

#### Parameters

`src_x` | `gint`
| Horizontal position on the previewed image.
`src_y` | `gint`
| Vertical position on the previewed image.
`dest_x` | `gint*`
| Returns the transformed horizontal position.
| The argument will be set by the function.
`dest_y` | `gint*`
| Returns the transformed vertical position.
| The argument will be set by the function.